shark.h File Reference

Classes for the SHARK block cipher. More...

Go to the source code of this file.

## Classes

class | SHARK_Info
| SHARK block cipher information. More...
class | SHARK
| SHARK block cipher SHARK-E More...

## Typedefs

typedef SHARK::Encryption | SHARKEncryption
typedef SHARK::Decryption | SHARKDecryption

## Detailed Description

Classes for the SHARK block cipher.

Definition in file shark.h.